Function does not allow the union of the walls and become a structural element and Dynamo

Hello everyone, how are you?

I’m creating a routine where Dynamo creates the walls through a DWG file inserted in Revit, and finally I want to add two functionalities before creating the routine, which are not allowing the union of the walls and making them a structural element.

can anybody help me?

We’re gonna need to see an example of what you’re doing and what you’re wanting. Your current screenshot is illegible (node titles aren’t visible). Try again with all the appropriate inputs and make sure your node preview bubbles are pinned so we can actually see what’s going on.

Submit the wrong image. Now it’s right.

We still need more information. We don’t really know what your graph is doing because you haven’t shown us any of the data within the nodes and you don’t have any errors so we can only assume it’s doing what it’s supposed to. What are you expecting? What seems to be missing or not working correctly?

This routine is running perfectly, what I want is to add two functions to it, which are to restrict the union of the walls and to transform the walls into a structural element.

Then you need to show us your work on those two operations. What have you tried? What has worked and what hasn’t?

I tried to use this node which by default already places all the walls to not allow the union.

But when i perform the routine the walls still continue together.

Again, we can’t see your data so we have no context for what you’re doing. Pin the preview bubbles for all your nodes so we can see the data and include any warnings you have. We can’t tell you how to fix the error of the last node if we don’t know why it’s failing.
image

GeniusLoci has nodes for handling wall joins, including the ability to unjoin ends. Try that instead.
image

Sorry, I forgot to show the data.
Come on, I did what you instructed me, but it still didn’t work.

That’s the way it’s getting.

This is the way I want it to look when I run the routine.

I’m not seeing an output from Set Wall JoinType so something is off there. It may be the list structure since you have an additional list level in your input. Try flattening the list of walls first. You may also need a Transaction node since you’re creating the walls just before.

1 Like

Hello, Here is a possibility with Structure and disjoin walls
lowered your Curves power list level as mentioned by Mr. Nick

Script Python
import clr
import System

from System.Collections.Generic import *
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)
clr.ImportExtensions(Revit.GeometryConversion)
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager 
from RevitServices.Transactions import TransactionManager 

clr.AddReference("RevitAPI")

import Autodesk 
from Autodesk.Revit.DB import *

doc = DocumentManager.Instance.CurrentDBDocument

curves=IN[0]
Height_w=IN[1]/0.3048  #m to feet
level=UnwrapElement(IN[2])
type=UnwrapElement(IN[3])

typeid=type.Id
levelid=level.Id
walls=[]

TransactionManager.Instance.EnsureInTransaction(doc)
for c in curves:
    wall=Wall.Create(doc,c.ToRevitType(),typeid,levelid,Height_w,0,True,True)
    walls.append(wall)
TransactionManager.Instance.TransactionTaskDone()

for w in walls:
    disj_start=WallUtils.DisallowWallJoinAtEnd(w,0)
    disj_end=WallUtils.DisallowWallJoinAtEnd(w,1)
OUT=walls

Cordially
christian.stan